hwloc_obj_memory_s Struct Reference
Topology Objects

`#include <hwloc.h>`

## Data Structures

struct | hwloc_obj_memory_page_type_s

## Data Fields

hwloc_uint64_t | total_memory
hwloc_uint64_t | local_memory
unsigned | page_types_len
struct hwloc_obj_memory_s::hwloc_obj_memory_page_type_s * | page_types

## Detailed Description

Object memory.

## Field Documentation

hwloc_uint64_t hwloc_obj_memory_s::local_memory

Local memory (in bytes)

struct hwloc_obj_memory_s::hwloc_obj_memory_page_type_s * hwloc_obj_memory_s::page_types

unsigned hwloc_obj_memory_s::page_types_len

Size of array `page_types`.

hwloc_uint64_t hwloc_obj_memory_s::total_memory

Total memory (in bytes) in this object and its children.

The documentation for this struct was generated from the following file:

- hwloc.h